

--------------
RUNCMS 1.1
--------------
Release date :  1 November 2004 (11/1/2004)

This version was not planned to be release before 10 December 2004.
But because off that several host have upgrade very fast to php5.
We stop the work and decided to make the release now, 
so as few as possible would get  a problem with RUNCMS on php5.

This version is been a fast reality thanks to the following Idea and Code contributers:
Essebe       www.essebe.ch   (main code contributer to this version)
Targhan      anime.fandorim.com 
Cyberjoker   www.runcms.dk
Kyleh        newbbplus.exoops-hosting.org/  (newbb_plus 0.81):-D
OFM          entropy-sites.com  (smilies and subject) 

So here it is RUNCMS 1.1 :


Fully php5 compatility, however, still backward compatibel;-)

-------------------------------------------------------------

Newbb_plus 0.81 By Kyleh http://newbbplus.exoops-hosting.org/ 

New features:
+ Add fix to Similar Threads to stop showing topics the user is not permitted to see
+ Add Goto Page in viewforum for topics with multiple pages
+ And an Admin->Configuration option to enable/disable Similar Threads
+ Rewrite Admin->Configuration page to use XoopsForms

+ Categories on index page are now enclosed in collapsible blocks
+ Tab pane for Who's Online, Legend, Permissions and Search.
+ Toolbar with Forum Tools, Topic Tools, Display Modes.
+ Similar Threads in a collapsible block (viewtopic.php)
+ Quick Reply now in a collapsible block
+ Mark Read
+ Previous/Next Topic (in viewtopic.php)
+ Added a poll image in viewforum.php if the topic has a poll.
+ Allow multiple attachments to a post
+ Attachment manager to allow the poster (or admin/moderator) to add/delete the attachments of a post.
+ Anonymous posters can can supply a name when posting
+ Posts have to be approved before by admin/moderators before they become visible.
+ Attachments have to be approved before by admin/moderators before they become visible.
+ New permissions options for auto-approve posts and auto-approve attachments

--------------------------------------------------------------------
+ for user off newbb_plus 0.77 automatic updater to 0.81 in install upgrade packs! 

+modification to the management of the blocks. (Essebe)

Now possible to have different design for each block.
 
While preserving the idea to remain 100% compatible with the existing themes.
If a theme does not contain a directory template, then the system uses the standard blocks.
Else In the directory template one can put files of the type .php, .html, .txt etc...
 
changes:
 
/class/xoopsblock.php
/modules/system/admin/blocksadmin/blocksadmin.php and main.php
And blocksadmin.php in languages directory
 
if you want use this templates system  in your own theme:
add this function to your  themes.php file
 
function themebox_template($title='', $content, $show_template) {
          $dir  =   XOOPS_ROOT_PATH."/themes/".XOOPS_THEME."/template/";
          include($dir.$show_template); 
          }
 
and add the directory
/theme/(the_theme)/template
 

 
added :
blocksadmin.php

Code:
$modules -> addOption("-1","--"._NONE."--");
give option to use none and still show blocks

Added :
New Menu with 4 choices by essebe 

User register disclaimer and administration option off it .

Management of the blocks which possibly makes it to choose in which to 
modules one wants to see a block.With the repeated choice.

update + bugfix : 
Newbb_plus block

new classes added all adopted from xoops by essebe

Added
class/xoopsform/formdatetime
class/xoopsform/formselectmodule
class/xoopsform/formselectuser
class/xoopsform/formtextdataselect
include/calendar.js
include/claendar-blue.css
include/calendarjs.php
languages/english/calendar.php
manual/who to create a form in RunCms
manual/test/form.php test display off new forms

updatet
----------
class/xoopsformloader.php opdatet to use new classes

Bugfix:
now you dont end up on user profil if make a typing error and have to login a second time


Updatet:
Poll log now working

Compress of the code some code

Modulgraphic  layout change
+New smilies and subject icon add (OFM)

Runcms 1.1 now with more languages include in main pack (French,German and English).


Change the way first time installtion appere to make it easy for first timers to get started.

Out off the pack :
Ecal is not included in this release, Also the planned guestbook has been drop.
Mainly because it has been decided to deliver Runcms 1.1 with at least the 3 main languages (French,German and English).



Lookin on moduls compatility on Modscentral and other places:
The moduls currently working on RUNCMS 1 will work on Runcms 1.1, 
We off course can not garenti they run on php5.
That is out off our control.


-----------
RUNCMS 1.0E 
-----------

Small security fix
fixed problem with bannfilter users and email after update to 1.0D


-----------
RUNCMS 1.0D 
-----------

Info:
NEWBB IS DEPRACTED & WILL BE REMOVED IN NEXT VERSION! (RUNCMS 1.1)
----
Security fixes:

A new security fixed version off newbb_plus
// newbb_plus 0.77
// by Kyhl newbb_plus.exoopshosting.com

and a second security system
// abuse hack 
// original suply by Alhpalogic e-xoops.alphalogic.org

-----------------
RUNCMS 1.0C
-----------------

Bug fix to metagenerator's function.php

-----------------
RUNCMS 1.0B
-----------------

error correctet

modules/mylinks/submit.php


-----------------
RUNCMS 1.0A
-----------------


Ecall block bug fix
Supply by Essebe www.essebe.ch
******************************
fixes bug in block mode



Safety update 
Supply by Lark Runcms.ru
************************
Security Patched v 0.2 Alpha
For E-Xoops 1.05 Rev3 and RUNCMS 1

=====================================================================
Patch of safety preventing SQL injections in modules 
mydownloads, mylinks, xoopsfaq, xoopspoll and meta-generator. 
Additional check of the password is entered at authorization.
=====================================================================
=====================================================================

The following files are modified:

=====================================================================

modules/mydownloads/ratefile.php

modules/mylinks/submit.php
modules/mylinks/modlink.php
modules/mylinks/ratelink.php
modules/mylinks/admin/index.php

modules/system/admin/meta-generator/include/functions.php

modules/xoopsfaq/admin/index.php

modules/xoopspoll/class/xoopspoll.php
modules/xoopspoll/class/xoopspolllog.php
modules/xoopspoll/class/xoopspolloption.php

=====================================================================
=====================================================================

http://runcms.ru (http://e-xoops.ru)
10.07.04
------------
Misspelling and wrong words in installer correctet.
 
-----------------
RUNCMS 1.0
-----------------

----
E-xoops changes name to "RUNCMS"
-------

Lots off small changes  

---
Cosmetic changes
---

Added menu to theme wich make it possible to give each theme a different 
menuspics/color. 

----

Activate blockadmanistration accessystem

----

added new menusystem to core
fully adjustable in css in directory /yourtheme/menu_style.css

also made a security foldback into style.css so that there will be a simpel menu avaible even it missing in the theme/skin.

---


for design avaible -> added to theme style.css as control off prenext:

.prenext{
 background-color: #F5F5F5;
 color: black;
 border-bottom:solid;
  border-top:solid; 
  border-width:1px;
}

---

xoopspagenav.php
to :		$ret .= '<table width="100%" class="prenext" border="0" cellpadding="7" cellspacing="0"><tr>';
from :		$ret .= '<table width="100%" style="border-bottom-style:solid; border-top-style:solid; border-width:1px;" border="0" cellpadding="7" cellspacing="0"><tr>';

----

Module images move to image.dirs
added: new modullogos and graphic

----

Now old bugs corrected

---

This version include ECal as a calender modul, 
And Newbb_Plus as a alternate choice to forum.



-----------------
E-Xoops 1.05Rev3
-----------------
Added: Automatic RSS feed building to the phpRPC module.

Added: Some extra debugging functions.
       Classes called now shown if xdebug installed & visual
       debugging on. http://xdebug.derickrethans.nl

Added: Anti-Cache for login/verify.png (opera, firebird, mozilla)
       Should keep users from having to refresh page

Added: Support for edonkey style links in content

Added: Waiting content option for modules.
       Modules can add their waiting content to the waiting block.
       xoops_version.php haswaiting
       /include/waiting.inc.php
       haswaiting TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL
       news/links/downloads converted

Fixed: PM's blank subject, & added delete prompts.

Changed: Admin Groups cleaned up for easier naigation

Changed: SQL usage reduced by up to 70% in mylinks/mydownloads for
         sites that have a huge amount of categories/subcategories.

Changed: Admin/Filter
  Added: user_agent banning
  Redid: banning syntax, overwrite bad*.php files & double check
         setup badwords currently inactive ..

And many other lil changes & bugfixes ..all code from pre-1.06 aside
the admin/modules|blocks code was merged into this release.

-----------------
E-Xoops 1.05Rev2
-----------------
Added: pagespan to bottom of news module.

Fixed: Bug with banners tagged for center blocks not showing.
Fixed: Private forums now show up for users with access to them in
       both blocks & the top 10 page like in the forum itself.

Fixed: Problem with streamed downloads on big files, & hopefully the
       problem on lycos based servers when the file is local.

Changed: Moved showthread() to theme so post elements can be
         customized. Is still backwards compatible though.
Changed: All modules search functions to return text extracts.
Changed: PM page to show pm's in the same style as in forum.
Changed: Forum block so it can show topic icons.
Changed: mylinks, forum, mydownloads blocks to limit to a category.
Changed: Seperated admin block code into individual blocks to be able
         to customize their aspects easier.
Changed: Comments show user sig
         new entry in "comments" table:
         attachsig TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL;
         (not quite finished)
Changed: It's now possible to use CSS on a per/module basis in 2
         different ways as to be able to tweak looks much better.

         1. In style.css use the module name with a special tag:
            .mylinks_css .bg1 { background: #FF00FF; }

         2. Make a seperate css sheet for the whole module:
            mylinks_style.css

Added: PM limit to pref setting to limit users PM usage.
Added: Recent comments block to news module.
Added: Image verification scheme to signup to verify against manual
       signups. Like most major search engines use.

Updated: Entire core code & modules to use specific css classes
         .file, .image, .button, .radio, .checkbox, .textarea, .text
         .select, can all be correctly set via the css file now.

Updated: Entire base theme, added the above mentioned thread
         customization function, redid all the layout, & added some
         code sample on how to expand blocks on various pages.
         Also almost all images in the cms where updated with new ones.

Also added a extra lil base theme: FD-Ecom_3EX from Gordon's Inn
http://gordon.farsus.dk

----------------
E-Xoops 1.05Rev1
----------------
Updated: Dynamenu is now expandable/collapsable.

Fixed: Some textsantisizer problems when allow html is off.
Fixed: edituser/newbb showing email/url in wrong format after
       above fix.
       Note: variables must be called in their approriate format from
             now on, ie $poster->url('E'), not just $poster->url()

Fixed: Dynamenu expanding on non module pages (user info, etc)
Fixed: Headlines shifting title text in page mode.
Fixed: Module weight always 0 on new module install.
Fixed: Disclaimer text not showing in contact in admin area.
Fixed: Typo in faq search making searching the faq impossible.
Fixed: User bug which allowed users to trick others into deleting
       their own account on sites where "allow user to delete account"
       was on. Also admins can't delete their own accounts anymore.

Added: Some missing images in the install

Changed: Moved the sessions class to it's own file for easier editing.
Changed: News doesn't count views for admins or if article read already

Enhanced: Another 15% or so sql useage OFF from the forums & comments.
Enhanced: Poll blocks show comment count & result if expired or voted.
Enhanced: News to span articles over multiple pages like sections.
          Use: [pagebreak], in the bodytext of the article.


------------------
E-Xoops beta 1.05:
------------------
* Banners module seperated from core to make it simpler to change later

* Made some enhancement to the PM's (later this module will also be
  seperated from the core)

* Added fileupload class reference sheet

* Show all info from user page (search) now works

* Added Extra debugger settings & now uses verbosity levels

* Added Dynamic Main Menu

* Added optional php sessions support.
  ->Warning trans-sid is bugged on many php versions:
    http://www.php.net/manual/en/ref.session.php

* Fixed a sql typo in install (resulted in missing search block)

* Fixed a bug with mysql: RAND()

* Fixed bad category images in mylinks/dl's if uploaded image

* Fixed mytextsantisizer changes &lt; to < after preview

* Fixed problem editing ranks

* Fixed problem with ratings (links/dl's) getting updated

* Fixed some lil Mozilla bugs ;-)

* Fixed a small IIS incompatibility

* Fixed recent FAQ block ignoring limit setting

* Fixed some probs with importing keywords to the meta-gen

* Changed how autodate is handled in admin/news

* Made core less error prone when headers are already sent

* Enhanced RSS parser to support: RSS 0.91|0.92|0.93|1.0|2.0

* Enhance: Polls module to show results if voted, & changed some other
  things in it a bit.

* Reduced overall mysql usage by about another 15% (depends on module)

---------------------
Special 1.05 Credits:
---------------------
* New base theme look & various new icons thank's to MaxIT & soulmiki
  E-Xoops Italy :: http://e.xoops.it

* New optinal theme in cycle :: FD-Bluenet :: Thank's to Farus
  Gordon'S In  :: http://gordon.farsus.dk

* And all translators of course ;-)
  In particular:
  Nobse    :: E-Xoops Germany :: http://www.e-xoops.de
  Philippe :: E-Xoops France  :: http://www.e-xoopsFR.com

* And neon for his great module site:
  ModsCentral  :: http://www.ModsCentral.com

  
------------------------------------------------------

------------------
E-Xoops beta 1.04:
------------------

* Edit user link from user profile page for admins

* Added fetch_object() to db layer

* Added comments count to news archive n reorganized code a bit.

* Added user info link to news admin for article edit/preview

* Added forum edit link on view forum for forum admins

* Multiple forum moderators are now displayed in dropdown boxes

* Links/Downloads can now have a description header per cat/subcat

* Link/Download entry descriptions may now use html/bbcode/smileys

* Much Reorganized Links/Downloads, redid much of the code.

* Newbb disclaimer for when posting new thread.

* All RSS feeds are optional and can be turned off.

* Added new upload class, depracted old one.

* Banners can now be shown in blocks, assigned to specific blocks, and
  display custom code like banner exchange javascript, flash, etc.

* Links, Downloads, News, Banners, Ranks, Smiles, Sections, Partners,
  and Avatars are all uploads enabled.

* Added a uploads enabled image library which can be used like smilies.

* Mailer now supports html/text, file attachments, priority levels,
  and mail reciepts. Mail templates may also use either html or text.

* Private forums are hidden to users who don't have access to them.

* Meta-Generator is now integrated as a admin module.

* Massively cleaned up double entries across all language files.

* Banner impressions aren't counted for site admins anymore.

* Emails may now also be banned.

* Bad words may now have replacements.

* Bad: Ip's, Email's, Uname's all use regular expression syntax

* Referer discrimination for mydownloads (optional), to keep ppl from
  linking your visit.php directly.

* Support for streaming .txt, .pdf, etc files in mydownloads, so ppl
  can actually download them, instead of being displayed in browser.

* Forum posts can all be pruned (via options) to keep a lean database.

* User/Admin html seperation is now active. Also it's now possible to
  post news, comments, forum posts in pure html without getting ugly
  line-wrapping anymore (depending on tags allowed or not of course).

* Tweaked caching system ..up to 2000% speed increase depending on
  server setup/configuration.

  A 5min cache can decrease your sql payload by up to 75% for a
  particular site, thus freeing resources for other tasks, such as
  getting more visits or reducing maintenance costs.

  And coupled with gzip, you can reduce the overall site bandwidth
  by approximately another 20% or more.

....and much more (forgot alot off head)


---------------------
Special 1.04 Credits:
---------------------
Farsus :: Gordon'S In :: http://gordon.farsus.dk
Neon   :: ModsCentral  :: http://www.ModsCentral.com

MaxIT    :: E-Xoops Italy   :: http://e.xoops.it
Nobse    :: E-Xoops Germany :: http://www.e-xoops.de
Philippe :: E-Xoops France  :: http://www.e-xoopsFR.com

And everyone else of course!

------------------------------------------------------

------------------
E-Xoops beta 1.03:
------------------

* Anonymous users can now recommend your site via the siteinfo box.

* Textsantisizer cleaned up a bit, many double entries depracted.

* Seperated allowable html for admins & users (not active yet)
  Expanded html tag list to over 80 tags.
  ** Reconfigure preferences settings

* Made images in partners optional, & added some error checking.
  Added pagenav to partners to show xxx partners/page.

* RSS feeds in news is not 1 post behind anymore.
  Added extra block options
  ** Update your module & reconfigure your block options

* Users can submit read more text for news submissions.

* Added manual page for headlines.

* Blocksadmin now has a block preview option.
  Reorganized how blocks are shown

* Added topics page to news module.
  Enhanced some of the blocks.
  ** Update your module & reconfigure your block options

* Added topten page to forum & extra submenu entries.
  ** Update your module & reconfigure your block options

* Added RSS feeds to sections.
  Added pagenav to article listing.
  Replaced next/prev in spanned articles with pagenav.
  Added some configuration options & configurable intro message.
  Added extra block options
  ** Be sure to chmod /modules/sections/cache/sections.xml to 666
  ** Be sure to chmod /modules/sections/cache/intro.php to 666
  ** Be sure to chmod /modules/sections/cache/config.php to 666
  ** Update your module & reconfigure your block options

* Added RSS feeds to FAQ
  Added extra block options
  ** Be sure to chmod /modules/xoopsfaq/cache/config.php to 666
  ** Be sure to chmod /modules/xoopsfaq/cache/faq.xml to 666
  ** Update your module & reconfigure your block options

* Added a language image folder so language specific images may be
  reused across various other sites. Is currently used for manual pages
  in the admin interface.

* MyLinks can now have a disclaimer message for new submissions
  Added option wether anonymous users can add or not.
  Enhanced some block options.
  ** Be sure to chmod /modules/mylinks/cache/disclaimer.php to 666
  ** Update your module & reconfigure your block options

* MyDownloads can now have a disclaimer message for new submissions
  Added option wether anonymous users can add or not.
  Enhanced some block options.
  ** Be sure to chmod /modules/mydownloads/cache/disclaimer.php to 666
  ** Update your module & reconfigure your block options

* Added modified version of FD-Dynamite theme from:
  http://gordon.farsus.dk

* Tons of other lil tweaks, fixes & subtle changes ;-)

------------------------------------------------------

-----------------------
E-Xoops beta 1.00-1.02:
-----------------------

* Replaced old sections module with nsections

* Replaced meta header-footer with meta-generator module

* Added phpRPC module to core for XML-RPC functionality

* Made the CMS work with Register Globals OFF

* Added a integrated caching system to speed up page responses

* Added debugger hack to see page-creation times, queries, etc

* Simplified the theme system, made center blocks, redirect, waitbox
  all customizable & added many how-to samples to the theme folders.

* Reorganized how manual pages are handeled, both modules & admin
  modules can now have multilingual documentation.

* Added new RSS class. Now supports RSS 0.91/0.92 RSS feeds complete
  with descriptions.

* Depracted old headlines module, replaced with new one which supports
  main page headlines, block headlines, etc with many options.

* Users may re-request their activation keys, or their passwords.

* Euhhhm forgot.....

Lots of code cleanup! ;-)